> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rootly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Catalog Entity

> Update a specific Catalog Entity by id



## OpenAPI

````yaml https://rootly-heroku.s3.amazonaws.com/swagger/v1/swagger.json put /v1/catalog_entities/{id}
openapi: 3.0.1
info:
  title: Rootly API v1
  version: v1
  description: >+
    # How to generate an API Key?

    - **Organization dropdown** > **Organization Settings** > **API Keys**


    # JSON:API Specification

    Rootly is using **JSON:API** (https://jsonapi.org) specification:

    - JSON:API is a specification for how a client should request that resources
    be fetched or modified, and how a server should respond to those requests.

    - JSON:API is designed to minimize both the number of requests and the
    amount of data transmitted between clients and servers. This efficiency is
    achieved without compromising readability, flexibility, or discoverability.

    - JSON:API requires use of the JSON:API media type
    (**application/vnd.api+json**) for exchanging data.


    # Authentication and Requests

    We use standard HTTP Authentication over HTTPS to authorize your requests.

    ```
      curl --request GET \
    --header 'Content-Type: application/vnd.api+json' \

    --header 'Authorization: Bearer YOUR-TOKEN' \

    --url https://api.rootly.com/v1/incidents

    ```


    <br/>


    # Rate limiting

    - There is a default limit of **5** **GET**, **HEAD**, and **OPTIONS** calls
    **per API key** every **60 seconds** (0 hours). The limit is calculated over
    a **0-hour sliding window** looking back from the current time. While the
    limit can be configured to support higher thresholds, you must first contact
    your **Rootly Customer Success Manager** to make any adjustments.

    - There is a default limit of **3** **POST**, **PUT**, **PATCH** or
    **DELETE** calls **per API key** every **60 seconds** (0 hours). The limit
    is calculated over a **0-hour sliding window** looking back from the current
    time. While the limit can be configured to support higher thresholds, you
    must first contact your **Rootly Customer Success Manager** to make any
    adjustments.

    - When rate limits are exceeded, the API will return a **429 Too Many
    Requests** HTTP status code with the response: `{"error": "Rate limit
    exceeded. Try again later."}`

    - **X-RateLimit headers** are included in every API response, providing
    real-time rate limit information:
      - **X-RateLimit-Limit** - The maximum number of requests permitted and the time window (e.g., "1000, 1000;window=3600" for 1000 requests per hour)
      - **X-RateLimit-Remaining** - The number of requests remaining in the current rate limit window
      - **X-RateLimit-Used** - The number of requests already made in the current window
      - **X-RateLimit-Reset** - The time at which the current rate limit window resets, in UTC epoch seconds

    # Pagination

    - Pagination is supported for all endpoints that return a collection of
    items.

    - Pagination is controlled by the **page** query parameter


    ## Example

    ```
      curl --request GET \
    --header 'Content-Type: application/vnd.api+json' \

    --header 'Authorization: Bearer YOUR-TOKEN' \

    --url https://api.rootly.com/v1/incidents?page[number]=1&page[size]=10

    ```

  x-logo:
    url: https://rootly-heroku.s3.us-east-1.amazonaws.com/swagger/v1/logo.png
servers:
  - url: https://api.rootly.com
security: []
paths:
  /v1/catalog_entities/{id}:
    parameters:
      - name: id
        in: path
        schema:
          anyOf:
            - type: string
              format: uuid
              description: Resource UUID
            - type: string
              pattern: ^[a-z0-9_-]+$
              description: Resource slug
        required: true
    put:
      tags:
        - CatalogEntities
      summary: Update a Catalog Entity
      description: Update a specific Catalog Entity by id
      operationId: updateCatalogEntity
      parameters: []
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/update_catalog_entity'
        required: true
      responses:
        '200':
          description: catalog_entity update replaces existing properties
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/catalog_entity_response'
        '404':
          description: resource not found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_list'
      security:
        - bearer_auth: []
components:
  schemas:
    update_catalog_entity:
      type: object
      properties:
        data:
          type: object
          properties:
            type:
              type: string
              enum:
                - catalog_entities
            attributes:
              type: object
              properties:
                name:
                  type: string
                description:
                  type: string
                  nullable: true
                position:
                  type: integer
                  description: Default position of the item when displayed in a list.
                  nullable: true
                backstage_id:
                  type: string
                  description: The Backstage entity ID this catalog entity is linked to.
                  nullable: true
                properties:
                  type: array
                  description: Array of property values for this catalog entity
                  items:
                    type: object
                    properties:
                      catalog_property_id:
                        type: string
                        description: Unique ID of the catalog property
                      value:
                        type: string
                        description: The value for this property
                    required:
                      - catalog_property_id
                      - value
              additionalProperties: false
          required:
            - type
            - attributes
      required:
        - data
    catalog_entity_response:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
              description: Unique ID of the catalog_entity
            type:
              type: string
              enum:
                - catalog_entities
            attributes:
              type: object
              allOf:
                - $ref: '#/components/schemas/catalog_entity'
          required:
            - id
            - type
            - attributes
      required:
        - data
    errors_list:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              status:
                type: string
              code:
                type: string
                nullable: true
              detail:
                type: string
                nullable: true
            required:
              - title
              - status
    catalog_entity:
      type: object
      properties:
        name:
          type: string
        description:
          type: string
          nullable: true
        position:
          type: integer
          description: Default position of the item when displayed in a list.
          nullable: true
        backstage_id:
          type: string
          description: The Backstage entity ID this catalog entity is linked to.
          nullable: true
        created_at:
          type: string
        updated_at:
          type: string
        properties:
          type: array
          description: Array of property values for this catalog entity
          items:
            type: object
            properties:
              catalog_property_id:
                type: string
                description: Unique ID of the catalog property
              value:
                type: string
                description: The value for this property
            required:
              - catalog_property_id
              - value
      required:
        - name
        - position
        - created_at
        - updated_at
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer

````